Wind River Support Network

HomeDefectsLIN5-23380
Fixed

LIN5-23380 : Security Advisory - imagemagick - CVE-2017-11639

Created: Jul 27, 2017    Updated: May 29, 2018
Resolved Date: Aug 16, 2017
Found In Version: 5.0.1.40
Fix Version: 5.0.1.41
Severity: Standard
Applicable for: Wind River Linux 5
Component/s: Userspace

Description

When ImageMagick 7.0.6-1 processes a crafted file in convert, it can lead to a heap-based buffer over-read in the WriteCIPImage() function in coders/cip.c, related to the GetPixelLuma function in MagickCore/pixel-accessor.h.

https://nvd.nist.gov/vuln/detail/CVE-2017-11639

Other Downloads


Live chat
Online